Skip to content

Resend an invite to test number of sender for project
GA

Request

Resend an invite and returns state for test number of sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

testNumberstringrequired

the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/retry' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

test number state

Bodyapplication/json
numberstring, (e.164 phone number)required

Test phone number.

statestring(RcsTestNumberStates)required

Test phone state.

Enum:"DECLINED""INVALID""PENDING""REJECTED""UNVERIFIED""VERIFIED""UNRECOGNIZED"
submittedstringrequired

Date of submitting phone number.

Response

Response with test number state.

Please note that if you send an invite to verified number, state will be changed to unverified.

{ "number": "+46123123111", "state": "UNVERIFIED", "submitted": "2023-01-19t13:11:08.204Z" }
We'd love to hear from you!
Rate this content: